require 'pdf'
require 'pdf/version'

module PDF
  class Document
    def initialize(version = PDF::VERSION_14)
      @version = version
      @contents = []
    end

    def as_pdf
      res = @version.as_pdf
      res << "%\n"  # Ensure "binary" detection.
    end
  end
end
