module PDF
  class Writer
      # Define the document catalog, the overall controller for the document
    class Catalog < PDF::Writer::WriterObject
      def initialize(parent)
        super(parent)

        @outlines = nil
        @pages = nil
        @openHere = nil
        @viewerPreferences = nil
      end

      attr_accessor :outlines
      attr_accessor :pages
      attr_accessor :openHere
      attr_accessor :viewerPreferences

      def to_s
        res = "\n#{@id} 0 obj\n<< /Type /Catalog"
        res << "\n/Outlines #{@outlines.id} 0 R" unless @outlines.nil?
        res << "\n/Pages #{@pages.id} 0 R" unless @pages.nil?
        res << "\n/ViewerPreferences #{@viewerPreferences.id} 0 R" unless @viewerPeferences.nil?
        res << "\n/OpenAction #{@openHere.id} 0 R" unless @openHere.nil?
        res << ">>\nendobj"
      end
    end
  end
end
