spec = Gem::Specification.new do |s|
  s.name = %q(ruby-pdf)
  s.version = %q(0.1.2)
  s.summary = %q(Ruby PDF::Writer provides the ability to create PDF documents using only native Ruby.)
  s.platform = Gem::Platform::RUBY
  s.files = Dir.glob("lib/**/*").delete_if do |item|
    item.include?("CVS") or item.include?(".svn") or
    item == "install.rb" or item =~ /~$/ or
    item =~ /gem(?:spec)?$/
  end
  s.files << %w(README Adobe-PDF-lICENCE LICENCE readme.rb data.txt lib)
  s.files.flatten!

  s.autorequire = %(pdf/ezwriter)
  s.require_paths = %w(lib)

  s.author = %q(Austin Ziegler)
  s.email = %q(pdf-writer@halostatue.ca)
  s.rubyforge_project = %q(ruby-pdf)
  s.homepage = %q(http://rubyforge.org/projects/ruby-pdf)
  s.description = File.read("README").gsub(/LICENCE NOTES.*$/m, '')
end
